<?php
/*
Simple:Press
Modern SP Theme Admin Custom Control
$LastChangedDate: 2014-09-12 07:30:12 +0100 (Fri, 12 Sep 2014) $
$Rev: 11958 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');


# customiser ----------------------------------------------------

add_action('sph_activate_theme',			'sp_modern_2020_activate');
add_action('sph_admin_menu',				'sp_modern_2020_custom_menu');
add_action('sph_scripts_admin_end', 		'sp_modern_2020_load_admin_js');
add_filter('sph_UpdateBar',					'sp_modern_2020_update_bar', 1, 2);
add_filter('sph_admin_help-admin-themes',	'sp_modern_2020_custom_help', 10, 3);

function sp_modern_2020_activate() {
    require_once SPMOD2020ADMIN.'sp-modern2020-activate.php';
	sp_modern_2020_setup();
}

function sp_modern_2020_custom_menu() {
	$subpanels = array(
		__('Modern 2020 Theme Customizer', 'modern2020') => array('admin' => 'sp_modern_2020_options', 'save' => 'sp_modern_2020_options_save', 'form' => 1, 'id' => 'modern_2020')
	);
	SP()->plugin->add_admin_subpanel('themes', $subpanels);
}

function sp_modern_2020_load_admin_js() {
	wp_enqueue_script('farbtastic');
	wp_enqueue_style('farbtastic');
}

function sp_modern_2020_options() {
    require_once SPMOD2020ADMIN.'sp-modern2020-options-form.php';
	sp_modern_2020_options_form();
}

function sp_modern_2020_options_save() {
    require_once SPMOD2020ADMIN.'sp-modern2020-options-save.php';
	sp_modern_2020_options_save_custom();
}

function sp_modern_2020_update_bar($bar, $reload) {
	if($reload != 'modern_2020') return $bar;
    require_once SPMOD2020ADMIN.'sp-modern2020-options-form.php';
	return sp_modern_2020_update_bar_custom($bar);
}

function sp_modern_2020_custom_help($file, $tag, $lang) {
    if ($tag == '[custom-options]') $file = SPMOD2020ADMIN.'sp-modern2020-options-help.'.$lang;
    return $file;
}
